from bot_data.model.user_joined_server import UserJoinedServer
from bot_graphql.abc.data_query_abc import DataQueryABC


class UserJoinedServerQuery(DataQueryABC):
    def __init__(self):
        DataQueryABC.__init__(self, "UserJoinedServer")

        self.set_field("id", self.resolve_id)
        self.set_field("user", self.resolve_user)
        self.set_field("joinedOn", self.resolve_joined_on)
        self.set_field("leavedOn", self.resolve_leaved_on)

    @staticmethod
    def resolve_id(x: UserJoinedServer, *_):
        return x.id

    @staticmethod
    def resolve_user(x: UserJoinedServer, *_):
        return x.user

    @staticmethod
    def resolve_joined_on(x: UserJoinedServer, *_):
        return x.joined_on

    @staticmethod
    def resolve_leaved_on(x: UserJoinedServer, *_):
        return x.leaved_on
