export class Mutations {
  static updateUser = `
    mutation updateUser($id: ID, $xp: Int, $levelId: ID) {
      user {
        updateUser(input: { id: $id, xp: $xp, levelId: $levelId }) {
          id
          name
          xp
          level {
            id
            name
          }
        }
      }
    }
  `;

  static createAutoRole = `
    mutation createAutoRole($serverId: ID, $channelId: String, $messageId: String) {
      autoRole {
        createAutoRole(input: { serverId: $serverId, channelId: $channelId, messageId: $messageId }) {
          id
          channelId
          channelName
          messageId
        }
      }
    }
  `;

  static deleteAutoRole = `
    mutation deleteAutoRole($id: ID) {
      autoRole {
        deleteAutoRole(id: $id) {
          id
          channelId
          channelName
          messageId
        }
      }
    }
  `;

  static createAutoRoleRule = `
    mutation createAutoRoleRule($autoRoleId: ID, $emojiName: String, $roleId: String) {
      autoRoleRule {
        createAutoRoleRule(input: { autoRoleId: $autoRoleId, emojiName: $emojiName, roleId: $roleId }) {
          id
          emojiName
          roleId
          roleName
        }
      }
    }
  `;

  static updateAutoRoleRule = `
    mutation updateAutoRoleRule($id: ID, $emojiName: String, $roleId: String) {
      autoRoleRule {
        updateAutoRoleRule(input: { id: $id, emojiName: $emojiName, roleId: $roleId }) {
          id
          emojiName
          roleId
          roleName
        }
      }
    }
  `;

  static deleteAutoRoleRule = `
    mutation deleteAutoRoleRule($id: ID) {
      autoRoleRule {
        deleteAutoRoleRule(id: $id) {
          id
          emojiName
          roleId
          roleName
        }
      }
    }
  `;
}
